package com.supwisdom.dlpay.api.service

import com.supwisdom.dlpay.api.domain.TPerson
import org.springframework.transaction.annotation.Propagation
import org.springframework.transaction.annotation.Transactional

/**
 * Created by shuwei on 2019/4/12.
 */
interface PersonService {
    @Transactional(propagation = Propagation.REQUIRED, rollbackFor = arrayOf(Exception::class), readOnly = true)
    fun getPersonByThirdUniqueIdenty(thirdUniqueIdenty: String): TPerson

    @Transactional(propagation = Propagation.REQUIRED, rollbackFor = arrayOf(Exception::class), readOnly = true)
    fun getPersonByUserid(userid: String): TPerson

}